Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.impl
Class CDImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.cdar2.impl.ANYImpl
                      org.eclipse.ohf.ihe.common.cdar2.impl.CDImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, ANY, CD

Direct Known Subclasses:
  BXITCDImpl, CEImpl, SXCMCDImpl

    public class CDImpl

extends ANYImpl
implements CD

An implementation of the model object 'CD'.

The following features are implemented:

- `Original Text`
- `Qualifier`
- `Translation`
- `Code`
- `Code System`
- `Code System Name`
- `Code System Version`
- `Display Name`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetOriginalText(ED newOriginalText, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`java.lang.String` | `getCode()`
`java.lang.String` | `getCodeSystem()`
`java.lang.String` | `getCodeSystemName()`
`java.lang.String` | `getCodeSystemVersion()`
`java.lang.String` | `getDisplayName()`
`ED` | `getOriginalText()`
`org.eclipse.emf.common.util.EList` | `getQualifier()`
`org.eclipse.emf.common.util.EList` | `getTranslation()`
`void` | `setCode(java.lang.String newCode)`
`void` | `setCodeSystem(java.lang.String newCodeSystem)`
`void` | `setCodeSystemName(java.lang.String newCodeSystemName)`
`void` | `setCodeSystemVersion(java.lang.String newCodeSystemVersion)`
`void` | `setDisplayName(java.lang.String newDisplayName)`
`void` | `setOriginalText(ED newOriginalText)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.ohf.ihe.common.cdar2.impl.ANYImpl
`getNullFlavor, setNullFlavor`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getOriginalText

    public ED getOriginalText()

  Specified by:
    `getOriginalText` in interface `CD`
  Returns:
    the value of the 'Original Text' containment reference.
  See Also:
    `CD.setOriginalText(ED)`, `CDAR2Package.getCD_OriginalText()`

### basicSetOriginalText

    public org.eclipse.emf.common.notify.NotificationChain basicSetOriginalText(ED newOriginalText,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

### setOriginalText

    public void setOriginalText(ED newOriginalText)

  Specified by:
    `setOriginalText` in interface `CD`
  Parameters:
    `newOriginalText` - the new value of the 'Original Text' containment reference.
  See Also:
    `CD.getOriginalText()`

### getQualifier

    public org.eclipse.emf.common.util.EList getQualifier()

  Specified by:
    `getQualifier` in interface `CD`
  Returns:
    the value of the 'Qualifier' containment reference list.
  See Also:
    `CDAR2Package.getCD_Qualifier()`

### getTranslation

    public org.eclipse.emf.common.util.EList getTranslation()

  Specified by:
    `getTranslation` in interface `CD`
  Returns:
    the value of the 'Translation' containment reference list.
  See Also:
    `CDAR2Package.getCD_Translation()`

### getCode

    public java.lang.String getCode()

  Specified by:
    `getCode` in interface `CD`
  Returns:
    the value of the 'Code' attribute.
  See Also:
    `CD.setCode(String)`, `CDAR2Package.getCD_Code()`

### setCode

    public void setCode(java.lang.String newCode)

  Specified by:
    `setCode` in interface `CD`
  Parameters:
    `newCode` - the new value of the 'Code' attribute.
  See Also:
    `CD.getCode()`

### getCodeSystem

    public java.lang.String getCodeSystem()

  Specified by:
    `getCodeSystem` in interface `CD`
  Returns:
    the value of the 'Code System' attribute.
  See Also:
    `CD.setCodeSystem(String)`, `CDAR2Package.getCD_CodeSystem()`

### setCodeSystem

    public void setCodeSystem(java.lang.String newCodeSystem)

  Specified by:
    `setCodeSystem` in interface `CD`
  Parameters:
    `newCodeSystem` - the new value of the 'Code System' attribute.
  See Also:
    `CD.getCodeSystem()`

### getCodeSystemName

    public java.lang.String getCodeSystemName()

  Specified by:
    `getCodeSystemName` in interface `CD`
  Returns:
    the value of the 'Code System Name' attribute.
  See Also:
    `CD.setCodeSystemName(String)`, `CDAR2Package.getCD_CodeSystemName()`

### setCodeSystemName

    public void setCodeSystemName(java.lang.String newCodeSystemName)

  Specified by:
    `setCodeSystemName` in interface `CD`
  Parameters:
    `newCodeSystemName` - the new value of the 'Code System Name' attribute.
  See Also:
    `CD.getCodeSystemName()`

### getCodeSystemVersion

    public java.lang.String getCodeSystemVersion()

  Specified by:
    `getCodeSystemVersion` in interface `CD`
  Returns:
    the value of the 'Code System Version' attribute.
  See Also:
    `CD.setCodeSystemVersion(String)`, `CDAR2Package.getCD_CodeSystemVersion()`

### setCodeSystemVersion

    public void setCodeSystemVersion(java.lang.String newCodeSystemVersion)

  Specified by:
    `setCodeSystemVersion` in interface `CD`
  Parameters:
    `newCodeSystemVersion` - the new value of the 'Code System Version' attribute.
  See Also:
    `CD.getCodeSystemVersion()`

### getDisplayName

    public java.lang.String getDisplayName()

  Specified by:
    `getDisplayName` in interface `CD`
  Returns:
    the value of the 'Display Name' attribute.
  See Also:
    `CD.setDisplayName(String)`, `CDAR2Package.getCD_DisplayName()`

### setDisplayName

    public void setDisplayName(java.lang.String newDisplayName)

  Specified by:
    `setDisplayName` in interface `CD`
  Parameters:
    `newDisplayName` - the new value of the 'Display Name' attribute.
  See Also:
    `CD.getDisplayName()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `ANYImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `ANYImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `ANYImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `ANYImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ANYImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD